From 244e051ec0d22c55a47217d1c54baeaf21a841c8 Mon Sep 17 00:00:00 2001
From: Stephanie Buser <sbuser@codeaurora.org>
Date: Sun, 1 Mar 2020 19:18:43 +0530
Subject: [PATCH 2/3] Adding Permissions for Application access

	GPIO, I2C, SPI, UART, Set Enforce

Change-Id: I54b7491cf1757120c0bee5995d70698de4baf586
---
 rootdir/etc/init.qcom.post_boot.sh | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

diff --git a/rootdir/etc/init.qcom.post_boot.sh b/rootdir/etc/init.qcom.post_boot.sh
index 64ae6c6..29b422c 100644
--- a/rootdir/etc/init.qcom.post_boot.sh
+++ b/rootdir/etc/init.qcom.post_boot.sh
@@ -1561,3 +1561,38 @@ case "$target" in
         echo $oem_version > /sys/devices/soc0/image_crm_version
         ;;
 esac
+
+# Setting GPIO's for SC20 Devkit                                                 R    B    G
+GPIO_NUM=( 1    2    3    4    5    6    7    8    9    10   11   12   13   14   15   16   17)
+GPIO_LIST=(16   17   23   36   65   68   69   88   89   92   94   96   97   98   95   32   99)
+GPIO_EDGE=(both both both both both both both both both both both both both both none none none)
+GPIO_DIR=( out  out  out  out  out  out  out  out  out  out  out  out  out  out  out  out  out)
+GPIO_VAL=( 1    1    1    1    1    1    1    1    1    1    1    1    1    1    0    0    0)
+GPIO_OFFSET=911
+for i in "${GPIO_NUM[@]}"
+do
+    idx=$i-1
+    GPIO=$((GPIO_OFFSET+${GPIO_LIST[idx]}))
+    echo  $GPIO > /sys/class/gpio/export
+    chmod 777 /sys/class/gpio/gpio$GPIO
+    chmod 777 /sys/class/gpio/gpio$GPIO/value
+    chmod 777 /sys/class/gpio/gpio$GPIO/direction
+    chmod 777 /sys/class/gpio/gpio$GPIO/edge
+    echo ${GPIO_DIR[idx]}  > /sys/class/gpio/gpio$GPIO/direction
+    echo ${GPIO_EDGE[idx]} > /sys/class/gpio/gpio$GPIO/edge
+    echo ${GPIO_VAL[idx]}  > /sys/class/gpio/gpio$GPIO/value
+done
+
+# Setting BLSP Permissions for SC20 Devkit
+chown -h root.system /dev/ttyHSL1
+chmod 777 /dev/ttyHSL1
+chown -h root.system /dev/i2c-1
+chmod 777 /dev/i2c-1
+chown -h root.system /dev/i2c-2
+chmod 777 /dev/i2c-2
+chown -h root.system /dev/spidev0.0
+chmod 777 /dev/spidev0.0
+
+# Setting Set Enforce
+chmod 777 /sys/fs/selinux/enforce
+echo  0 > /sys/fs/selinux/enforce
-- 
2.7.4

